package models

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

type ReportStateRecord struct {
	Id         int       `orm:"column(id)" description:"Id"`
	ReportId   int       // 研报id
	ReportType int       // 报告类型'报告类型：1中文研报2智能研报'
	State      int       // 状态：1-未提交 2-待审核 3-驳回 4-审核
	AdminId    int       // 操作人id
	AdminName  string    // 操作人姓名
	CreateTime time.Time // 创建时间
}

func AddReportStateRecord(item *ReportStateRecord) (lastId int64, err error) {
	o := orm.NewOrmUsingDB("rddp")
	lastId, err = o.Insert(item)
	return
}
